Page MenuHomePhabricator | MITK

Migrate ModelFit inspector plugin to MitkChart
Open, NormalPublic

Description

We should switch from QmitkPlotWidget to MitkChart now

Event Timeline

floca created this task.Jan 9 2019, 5:18 PM
floca triaged this task as Normal priority.
hentsch claimed this task.Mar 29 2019, 11:46 AM
hentsch removed hentsch as the assignee of this task.Apr 2 2019, 3:21 PM
hentsch added a subscriber: hentsch.
floca added a comment.Apr 2 2019, 3:47 PM

If you have already an interim branch, could you push it, just to be sure that it doesn't get lost.

Thanks.

hentsch merged a task: Restricted Maniphest Task.Apr 11 2019, 2:07 PM

Feedback from @floca:

  1. Der Titel der X-Achse und die Achsenbeschriftungen liegen über einander und sind deshalb nicht zu lesen.
    • is already fixed with T26274, but not yet in this branch
  2. Fixed Scaling (für X und Y) funktioniert nicht richtig.
    • true
  3. In der Methode OnFullPlotClicked ist ein Task (T26222) referenziert, den es gar nicht gibt. Vielleicht ist das aber jetzt auch schon durch meinen Fix erledigt.
    • code was deleted, works fine
  4. Kritische Regression gegenüber dem alten Widget: Im Moment flackert es immer sobald man die Achsen anpasst oder (noch schlimmer) wenn man einen neuen Punkt ansteuert. Dass ist insbesondere beim explorieren von Daten nicht gut, da es leicht laggt und sehr irritiert.
    • opened T26320
  5. Kritische Regression gegenüber dem alten Widget: Im Moment aktualisiert sich der Plot erst wenn man die Maus wieder loslässt (wenn man im SliceNavigator oder direkt im Bild neue Punkte anfährt). Früher wurde automatisch immer gleich mit aktualisiert, es wäre sehr gut, wenn das wieder so wäre. Entsprechend müsste der Chart neugemalt werden, jedesmal wenn die Positionsänderung propagiert wird. Im Moment sieht es so aus, als würde gewartet, bis der Main-Thread idelt.
    • can't reproduce. The update takes a while (probably because of new painting of the widget), but has nothing to do with mouse click release. @floca we should look again if T26320 is fixed.

all functions implemented, just need to test compiling with GCC

GCC compiles also fine